## com.puppycrawl.tools.checkstyle.checks.whitespace
Enum OperatorWrapOption

    java.lang.Object
      java.lang.Enum<OperatorWrapOption>
          com.puppycrawl.tools.checkstyle.checks.whitespace.OperatorWrapOption

All Implemented Interfaces:
  Serializable, Comparable<OperatorWrapOption>

    public enum OperatorWrapOption

extends Enum<OperatorWrapOption>

Represents the options for wrapping on an operator.

Version:
  1.0
Author:
  Rick Giles

Enum Constant Summary
`EOL` Require that the operator is at the end of the line.
`NL` Require that the operator is on a new line.

Method Summary
`static OperatorWrapOption` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OperatorWrapOption[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NL

    public static final OperatorWrapOption NL

  Require that the operator is on a new line.

### EOL

    public static final OperatorWrapOption EOL

  Require that the operator is at the end of the line.

Method Detail

### values

    public static OperatorWrapOption[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OperatorWrapOption c : OperatorWrapOption.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OperatorWrapOption valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2001-2011. All Rights Reserved.